;;;; type-checks-numbers.scheme.scm  -*- Scheme -*-
;;;; Kon Lovett, Jun '18

(module (type-checks-numbers scheme)

(;export
  check-real
  check-complex
  check-rational
  check-exact
  check-inexact)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-checks-basic)
(import (type-errors-numbers scheme))

(: check-real (* number #!optional * -> number))
(: check-complex (* number #!optional * -> number))
(: check-rational (* number #!optional * -> number))
(: check-exact (* number #!optional * -> number))
(: check-inexact (* number #!optional * -> number))

(define-check-type real)
(define-check-type complex)
(define-check-type rational)
(define-check-type exact)
(define-check-type inexact)

) ;module (type-checks-numbers scheme)
