;;;; type-errors-numbers.bignum.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers.bignum

(;export
  error-bignum
  error-positive-bignum error-non-negative-bignum error-negative-bignum
  error-non-positive-bignum)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-bignum (* * #!optional * -> noreturn))
(: error-positive-bignum (* * #!optional * -> noreturn))
(: error-non-negative-bignum  (* * #!optional * -> noreturn))
(: error-negative-bignum (* * #!optional * -> noreturn))
(: error-non-positive-bignum (* * #!optional * -> noreturn))

(define-error-type bignum)
(define-error-type positive-bignum)
(define-error-type non-negative-bignum)
(define-error-type negative-bignum)
(define-error-type non-positive-bignum)

) ;module type-errors-numbers.bignum
